// 디지털핀 설계
#define led_pin 13         // 13번 디지털핀(led_pin)                 :: LED 출력
// 아날로그핀 설계
#define button_pin A0      // A0번 아날로그핀(button_pin)             :: 푸쉬스위치 입력
// 버튼상태 변수 선언
int button_state = 0;      // 버튼상태 변수 선언 초기값은 0


// 부팅시 만 실행
void setup()
{
  // 시리얼통신 초기화(9600)bps(bits per second)
  Serial.begin(9600);
  // 디지털핀 초기화(OUTPUT)
  pinMode(led_pin, OUTPUT);          // led_pin 13번 설정
}





// 메인(반복루프)
void loop()
{
  // 모드스위치(푸쉬스위치) 눌림 512이상 입력값 생성 
  // 아날로그 입력값[0~1023]
  if (analogRead(button_pin) > 512)
  {
    // 모드스위치(푸쉬스위치) 누르고 기다리는 시간
    delay(500);

    if (button_state == 0)            // 만약 버튼의 상태가 0일경우
    {
      button_state = 1;               // 버튼의 상태를 1로 변경하고
      digitalWrite(led_pin, HIGH);    // LED핀 13번을 켜준다.
      Serial.println("LED ON");       // 시리얼모니터에서 상태를 확인한다.
   }
    else if (button_state == 1)       // 만약 버튼의 상태가 1일경우
    {
      button_state = 0;               // 버튼의 상태를 0으로 변경하고
      digitalWrite(led_pin, LOW);     // LED핀 13번을 끈다.
      Serial.println("LED OFF");      // 시리얼모니터에서 상태를 확인한다.
    } 
  }  
}



