// 디지털핀 설계
#define buzzer_pin 6   // 6번 디지털핀(buzzer_pin) 
// 아날로그핀 설계
#define button_pin A0  // A0번 아날로그핀(button_pin)
// 버튼상태 변수 선
int button_state = 0;  // 버튼상태 변수 선언 초기값은 0

// 부팅시 만 실행
void setup()
{
  // 시리얼통신 초기화(9600)bps(bits per second)
  Serial.begin(9600);
  // 디지털핀 초기화(OUTPUT)
  pinMode(buzzer_pin, OUTPUT);  // buzzer_pin 6번 설정
}





// 메인(반복루프)
void loop()
{
  // 모드스위치(푸쉬스위치) 눌림 512이상 입력값 생성 
  // 아날로그 입력값[0~1023]
  if (analogRead(button_pin) > 512)
  {
    // 모드스위치(푸쉬스위치) 누르고 기다리는 시간
    delay(500);

    if (button_state == 0)              // 만약 버튼의 상태가 0일경우
    {
      button_state = 1;                 // 버튼의 상태를 1로 변경하고
      // BUZZER ON
      digitalWrite(buzzer_pin, HIGH);   // 멜로디가 연주된다. 
      Serial.println("BUZZER ON");      // 시리얼모니터에서 상태를 확인한다.
   }
    else if (button_state == 1)         // 만약 버튼의 상태가 1일경우
    {
      button_state = 0;                 // 버튼의 상태를 0으로 변경하고
      // BUZZER OFF
      digitalWrite(buzzer_pin, LOW);    // 멜로디 연주를 끈다.
      Serial.println("BUZZER OFF");     // 시리얼모니터에서 상태를 확인한다.
    } 
  }  
}



