#include "motor_setting.h"

// 13번 디지털핀(LED) 선언
#define led_pin 13      
// 6번 디지털핀(멜로디 IC) 선언
#define buzzer_pin 6       
// A0 아날로그핀 (푸쉬버튼) 선언
#define button_pin A0 

// 버튼의 상태를 처음상태인 0으로 초기화
int button_state = 0;   

void setup()
{
  // 시리얼통신 초기화(9600)bps+
  Serial.begin(9600);
  // 디지털핀 초기화(OUTPUT)
  // led_pin을 출력모드로 설정
  pinMode(led_pin, OUTPUT); 
  // buzzer_pin을 출력모드로 설정      
  pinMode(buzzer_pin, OUTPUT);    
  //motor_setting.h에서 모터의 모든 핀을 선언한 함수
  motor_output();    
  digitalWrite(led_pin,HIGH);    
}

void loop()
{
  //버튼이 눌러지는 값이 감지되면
  //(약 512이상이 값일때 눌러짐을 감지함)    
  if (analogRead(button_pin) > 512)  
  {
    delay(500);  // 누르는 동안 기다렸다가
    if (button_state == 0)  // 버튼의 상태가 0이라면
      {
        // 버튼이 눌러짐을 감지하여 1로 바꾸어 주고 
        button_state = 1;     
        // 전진 함수
        move_Forward();
        //5초동안 대기모드로 전진함
        delay(5000);
        move_Rightward();
        delay(5000);
        move_Backward();
        delay(5000);
        move_Leftward();
        delay(5000);
        Stop_Moter();

      }    
    else if (button_state == 1)
      {
        button_state = 0;
        Stop_Moter();          
      }    
  }
}
