#include "motor_setting.h"

// 13번 디지털핀(LED) 선언
#define led_pin 13
// A1번 아날로그핀(왼쪽 적외선센서) 
#define line_L_pin A1  
// A2번 아날로그핀(오른쪽 적외선센서)
#define line_R_pin A2  
// 라인센서 변수선언
int line_L, line_R;
//교실상황에 따라 값을 25 - 50정도로 변경
int line_limit = 30; 

void setup()
{
  // 시리얼통신 초기화(9600)bps
  Serial.begin(9600);
  //블루투스시리얼[하드웨어] 초기화(9600)bps
  Serial1.begin(9600); 
  // 디지털핀 초기화(OUTPUT)
  pinMode(led_pin, OUTPUT);                   
  motor_output();
  digitalWrite(led_pin, HIGH);      
}

void loop()
{
  // Line_Sensor:
  line_L = analogRead(line_L_pin);
  line_R = analogRead(line_R_pin);

  // 라인센서 아날로그 신호(백색:~100, 흑색:200~)  
  //:: 평균값임 조도에 따라서 변화 심함
  if (line_L < line_limit && line_R < line_limit)
  {
    Serial.println("전진");
    move_Forward();
  }

  else if (line_L < line_limit && line_R > line_limit)
  {
    Serial.println("좌회전");
    move_LeftTurnRound();
  }

  else if (line_L > line_limit && line_R < line_limit)
  {
    Serial.println("우회전");
    move_RightTurnRound();
  }

  else if (line_L > line_limit && line_R > line_limit)
  {
    Serial.println("중지");
    Stop_Moter();
  }
}









